Bug 469311 (CVE-2008-4306) - CVE-2008-4306 enscript: "font" special escape buffer overflows
Summary: CVE-2008-4306 enscript: "font" special escape buffer overflows
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-4306
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 473089 473090 473091 473093 473094 473095 833895
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-31 08:59 UTC by Tomas Hoger
Modified: 2019-09-29 12:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-19 17:39:39 UTC


Attachments (Terms of Use)
Proposed patch from Kees Cook (Ubuntu) (1.24 KB, patch)
2008-10-31 09:04 UTC, Tomas Hoger
no flags Details | Diff
Escape array indexing typo (474 bytes, patch)
2008-10-31 09:06 UTC, Tomas Hoger
no flags Details | Diff
Alternate patch proposed by Werner Fink (SuSE) (2.73 KB, patch)
2008-10-31 09:08 UTC, Tomas Hoger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:1016 normal SHIPPED_LIVE Moderate: enscript security update 2008-12-15 12:51:49 UTC
Red Hat Product Errata RHSA-2008:1021 normal SHIPPED_LIVE Moderate: enscript security update 2008-12-15 15:01:29 UTC

Description Tomas Hoger 2008-10-31 08:59:42 UTC
Kees Cook and Tomas Hoger discovered multiple buffer overflows in enscript related to handling of the font{} special escape caused by an unsafe use of strcpy().  This can be exploited to cause a stack-based buffer overflow by tricking the user into converting a malicious file, , but requires that special escapes processing is enabled with the "-e" option (not enabled by default).

Issue is similar to recently reported setfilename{} special escape handling buffer overflow known as CVE-2008-3863.

Comment 2 Tomas Hoger 2008-10-31 09:04:28 UTC
Created attachment 322030 [details]
Proposed patch from Kees Cook (Ubuntu)

Comment 3 Tomas Hoger 2008-10-31 09:06:28 UTC
Created attachment 322031 [details]
Escape array indexing typo

While testing this, another minor typo was discovered in the escapes array indexing in the error code path.  This can result in enscript crash (oob read), but does not seem to have any security implications.

Comment 4 Tomas Hoger 2008-10-31 09:08:12 UTC
Created attachment 322032 [details]
Alternate patch proposed by Werner Fink (SuSE)

For both CVE-2008-3863 and CVE-2008-4306.

Comment 5 Fedora Update System 2008-11-06 04:04:20 UTC
enscript-1.6.4-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-11-06 04:06:35 UTC
enscript-1.6.4-10.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.